import { INPMProject, ProjectTemplate } from "@telerik/scaffolding";
import { Jqa as jQueryAdminApp } from "./schema";
import jQueryTemplateOptions from "./schema.json";
import { TemplateTree } from "../..";
export declare class CreatejQueryAdminApp extends ProjectTemplate<jQueryAdminApp> {
    static schema(): Promise<typeof jQueryTemplateOptions>;
    getCdnVersion(): Promise<string>;
    applyKendoTheme(file: string, content: string): Promise<string>;
    templateTree(template: string): Promise<TemplateTree>;
    textFileExtensions: Set<string>;
    binaryFileExtensions: Set<string>;
    apply(project: INPMProject): Promise<void>;
    /**
     * Process each of the files in the {@link template} and create it in the {@link destination}.
     */
    applyTemplate(project: INPMProject, template: TemplateTree, destination: string): Promise<void>;
    private createAppSourceFiles;
}
